/***************************************************************************
                          acid.cpp  -  description
                             -------------------
    begin                : Sat Apr 27 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "acid.h"
#include "sprite.h"
#include "timer.h"
#include "resources.h"
#include "explosion.h"
#include "map_sample.h"
#include "player.h"
#include "maptile_normal.h"
#include "map.h"

Acid::Acid(int _x, int _y, Map_Sample* _sample) : Effects(_x, _y, _sample)
{
	timer=new Timer;
	sprite=new Sprite(Resources::Tiles(), 0.2f);
	sprite->set_new(0.2f, 69, 72);
}
Acid::~Acid()
{
}
void Acid::act()
{
	if(timer->time_elapsed()>=1.0f) {
		if(sample->map->get_maptile(map_x(16), map_y()+32)->get_type()==NORMAL)
		{
			move(DOWN, 20);
			static_cast <Maptile_normal*> (sample->map->get_maptile(map_x(16), map_y()+32))->dig();
		}
		else
			this->set_delme();
	}
}
void Acid::show()
{
	sprite->put_screen(x, y);
}