/***************************************************************************
                          maptile_move.cpp  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "maptile_move.h"
#include "timer.h"
#include "map.h"
#include "game.h"
#include "map_sample.h"

Maptile_move::Maptile_move(int _x, int _y, int _time, WorldType _wt, Map* _map) : Maptile(_x, _y, _wt, _map)
{
	blocking=true;
	fallt=false;
	mt=MOVE;
	time=_time;
	timer=new Timer;
	grow=false;
}
Maptile_move::~Maptile_move()
{
}
void Maptile_move::show()
{
	if((timer->time_elapsed()<=(float)(time) && grow) || (timer->time_elapsed()>=(float)(time) && !grow))
	{
		sur->put_screen(x, y, spr);
		blocking=true;
		fallt=false;
		mt=MOVE;
		map->get_left(this)->fit();
		map->get_down(this)->fit();
		map->get_right(this)->fit();
		map->get_up(this)->fit();
		fit();
		map->game->sample->kill(x, y);
	}
	else
	{
		mt=EMPTY;
		blocking=false;
		fallt=true;
		map->get_left(this)->fit();
		map->get_down(this)->fit();
		map->get_right(this)->fit();
		map->get_up(this)->fit();
		fit();
	}

	if(timer->time_elapsed()>=(float)(map->get_max_m()))
	{
		timer->reset();
		toggle(grow);
	}
}
void Maptile_move::act()
{
}