/***************************************************************************
                          lasertripmine.cpp  -  description
                             -------------------
    begin                : Sat Apr 27 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "lasertripmine.h"
#include "resources.h"
#include "explosion.h"
#include "map_sample.h"
#include "player.h"
#include "timer.h"

Lasertripmine::Lasertripmine(int _x, int _y, Map_Sample* _sample) : Effects(_x, _y, _sample)
{
	timer=new Timer;
	sur=Resources::Tiles();
	spr=58;
  b=false;
}
Lasertripmine::~Lasertripmine()
{
}
void Lasertripmine::act()
{
			if(!b && timer->time_elapsed()>=0.7f)
      {
        b=true;
		  	spr=60;
        PLAY(Resources::Lasertripmine());
      }

			if((sample->get_gameobjectg(map_x(16), map_y())->get_type()==MONK || sample->get_map_gameobject(map_x(16), map_y())->get_type()==PLAYER) && timer->time_elapsed()>=0.8f)
			{
				new Explosion(x-48, y-48, 0, sample);
				this->set_delme();							
			}

}
void Lasertripmine::show()
{
	sur->put_screen(x, y, spr);
}